org.vishia.gral.swt

## Class SwtDropListener

- java.lang.Object
- - org.vishia.gral.swt.SwtDropListener

- All Implemented Interfaces:
    java.util.EventListener, org.eclipse.swt.dnd.DropTargetListener, org.eclipse.swt.internal.SWTEventListener

      public class SwtDropListener
      extends java.lang.Object
      implements org.eclipse.swt.dnd.DropTargetListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.eclipse.swt.dnd.FileTransfer` | `fileTransfer` A special from org.eclipse.swt.dnd.FileTransfer.
    `private org.eclipse.swt.dnd.TextTransfer` | `textTransfer` A special from org.eclipse.swt.dnd.TextTransfer.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwtDropListener(int dropType, org.eclipse.swt.widgets.Control control)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragEnter(org.eclipse.swt.dnd.DropTargetEvent event)`
    `void` | `dragLeave(org.eclipse.swt.dnd.DropTargetEvent event)`
    `void` | `dragOperationChanged(org.eclipse.swt.dnd.DropTargetEvent event)`
    `void` | `dragOver(org.eclipse.swt.dnd.DropTargetEvent event)`
    `void` | `drop(org.eclipse.swt.dnd.DropTargetEvent event)`
    `void` | `dropAccept(org.eclipse.swt.dnd.DropTargetEvent event)`
    `(package private) void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileTransfer

          private final org.eclipse.swt.dnd.FileTransfer fileTransfer

      A special from org.eclipse.swt.dnd.FileTransfer. Depending on droptype in ctor either fileTransfer or `textTransfer` is set.

    - #### textTransfer

          private final org.eclipse.swt.dnd.TextTransfer textTransfer

      A special from org.eclipse.swt.dnd.TextTransfer. Depending on droptype in ctor either `fileTransfer` or textTransfer is set.

  - ### Constructor Detail

    - #### SwtDropListener

          SwtDropListener(int dropType,
                          org.eclipse.swt.widgets.Control control)

  - ### Method Detail

    - #### dragEnter

          public void dragEnter(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `dragEnter` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### dragLeave

          public void dragLeave(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `dragLeave` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### dragOperationChanged

          public void dragOperationChanged(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `dragOperationChanged` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### dragOver

          public void dragOver(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `dragOver` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### drop

          public void drop(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `drop` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### dropAccept

          public void dropAccept(org.eclipse.swt.dnd.DropTargetEvent event)

      Specified by:
        `dropAccept` in interface `org.eclipse.swt.dnd.DropTargetListener`

    - #### stop

          void stop()